# version.py

Aller à la documentation de ce fichier.

    00001 # -*- coding: utf-8 -*-
    00002 #       $Id: version.py 43 2011-01-15 23:12:57Z georgesk $
    00003
    00004 licence={}
    00005 licence['en']="""
    00006     file version.py
    00007     this file is part of the project scolasync
    00008
    00009     Copyright (C) 2010 Georges Khaznadar <georgesk@ofset.org>
    00010
    00011     This program is free software: you can redistribute it and/or modify
    00012     it under the terms of the GNU General Public License as published by
    00013     the Free Software Foundation, either version3 of the License, or
    00014     (at your option) any later version.
    00015
    00016     This program is distributed in the hope that it will be useful,
    00017     but WITHOUT ANY WARRANTY; without even the implied warranty of
    00018     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    00019     GNU General Public License for more details.
    00020
    00021     You should have received a copy of the GNU General Public License
    00022     along with this program.  If not, see <http://www.gnu.org/licenses/>.
    00023 """
    00024
    00025
    00026 ##
    00027 #
    00028 #     @return le numéro majeur de version
    00029 #
    00030 def major():
    00031     return "2"
    00032
    00033 ##
    00034 #
    00035 #     @return le numéro mineur de version
    00036 #
    00037 def minor():
    00038     return "1"
    00039
    00040 ##
    00041 #
    00042 #     @return l'identifiant de la version
    00043 #
    00044 def version():
    00045     return "%s.%s" %(major(), minor())
    00046
    00047